"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("./constants");
const download_1 = require("./download");
const offline_1 = require("./offline");
/**
 * Aquire the installers, either by copying them from
 * their offline location or by downloading them.
 *
 * @param {() => void} cb\
 * @returns {Promise.void}
 */
async function aquireInstallers(cb) {
    console.log(constants_1.OFFLINE_PATH);
    if (constants_1.OFFLINE_PATH) {
        await offline_1.copyInstallers();
        cb();
    }
    else {
        download_1.download(cb);
    }
}
exports.aquireInstallers = aquireInstallers;
//# sourceMappingURL=aquire-installers.js.map